/* istanbul ignore file */
/* tslint:disable */
/* eslint-disable */

import type { ApiKeyDescription } from "./ApiKeyDescription";
import type { ApiKeyId } from "./ApiKeyId";
import type { EpochMillis } from "./EpochMillis";
import type { FileTagName } from "./FileTagName";
import type { FolderPath } from "./FolderPath";
import type { PathPermissionList } from "./PathPermissionList";
import type { SecretApiKey } from "./SecretApiKey";
import type { TagPermissions } from "./TagPermissions";
import type { UserSummary } from "./UserSummary";

export type ApiKeyDetails_SecretApiKey_ = {
  apiKey: SecretApiKey;
  apiKeyId: ApiKeyId;
  automaticTags: Array<FileTagName>;
  defaultFolder: FolderPath;
  description: ApiKeyDescription;
  pathPermissions: PathPermissionList;
  requireJWT: boolean;
  tagPermissions: TagPermissions;
  createdAt: EpochMillis;
  createdBy: UserSummary;
};
